| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/os-floating-ips-bulk | Lists all floating IPs. |
Normal response codes: 200
This table shows the URI parameters for the list floating ips request:
| Name | Type | Description |
|---|---|---|
| String | The unique identifier of the tenant or account. |
This operation does not require a request body.
Example 3.203. List floating IPs: JSON response
{
"floating_ip_info": [
{
"address": "10.10.10.1",
"instance_uuid": null,
"interface": "eth0",
"pool": "nova",
"project_id": null
},
{
"address": "10.10.10.2",
"instance_uuid": null,
"interface": "eth0",
"pool": "nova",
"project_id": null
},
{
"address": "10.10.10.3",
"instance_uuid": null,
"interface": "eth0",
"pool": "nova",
"project_id": null
}
]
}Example 3.204. List floating IPs: XML response
<?xml version='1.0' encoding='UTF-8'?>
<floating_ip_info>
<item>
<interface>eth0</interface>
<instance_uuid>None</instance_uuid>
<project_id>None</project_id>
<pool>nova</pool>
<address>10.10.10.1</address>
</item>
<item>
<interface>eth0</interface>
<instance_uuid>None</instance_uuid>
<project_id>None</project_id>
<pool>nova</pool>
<address>10.10.10.2</address>
</item>
<item>
<interface>eth0</interface>
<instance_uuid>None</instance_uuid>
<project_id>None</project_id>
<pool>nova</pool>
<address>10.10.10.3</address>
</item>
</floating_ip_info>This operation does not return a response body.

